Developers
API ReferenceNumbering

Get numbering with current value of selected type

GET
/finance/numberings/get-current-value/{kind}

Get numbering with current value of selected type

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

kind*string

Numbering identifier

Value in"fv""pf""fk""Vat""Zal""Kor""Roz""Upr""KorZal""KorRoz""VatPef""VatPefSp""KorPef""VatRr""KorVatRr"

Response Body

Numbering resource

  1. response
id?string
Formatuuid
kind?string
Value in"fv""pf""fk""Vat""Zal""Kor""Roz""Upr""KorZal""KorRoz""VatPef""VatPefSp""KorPef""VatRr""KorVatRr"
pattern?string
Lengthlength <= 60
resetInterval?string
Lengthlength <= 3
Value in"P1M""P1Y"
leadingZero?integer
isDefault?boolean
value?string
Lengthlength <= 100
docTitle?string
Lengthlength <= 50
closestCounter?int|null
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/finance/numberings/get-current-value/fv'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "fv",  "pattern": "string",  "resetInterval": "P1M",  "leadingZero": 0,  "isDefault": true,  "value": "string",  "docTitle": "string",  "closestCounter": null}